RIFF::Exception Class Reference

Will be thrown whenever an error occurs while handling a RIFF file. More...

`#include <RIFF.h>`

Inheritance diagram for RIFF::Exception:

## Public Member Functions

| Exception (String format,...)
| Exception (String format, va_list arg)
void | PrintMessage () const

## Public Attributes

String | Message

## Static Protected Member Functions

static String | assemble (String format, va_list arg)

## Detailed Description

Will be thrown whenever an error occurs while handling a RIFF file.

Definition at line 397 of file RIFF.h.

## Constructor & Destructor Documentation

## Exception() [1/3]

RIFF::Exception::Exception | ( | String | format,
|  |  | ... )

Definition at line 2760 of file RIFF.cpp.

## Exception() [2/3]

RIFF::Exception::Exception | ( | String | format,
|  | va_list | arg )

Definition at line 2767 of file RIFF.cpp.

## ~Exception()

RIFF::Exception::~Exception | ( |  | ) |

virtual

Definition at line 2771 of file RIFF.cpp.

## Exception() [3/3]

RIFF::Exception::Exception | ( |  | ) |

protected

Definition at line 2757 of file RIFF.cpp.

## Member Function Documentation

## assemble()

String RIFF::Exception::assemble | ( | String | format,
|  | va_list | arg )

static protected

Definition at line 2778 of file RIFF.cpp.

## PrintMessage()

void RIFF::Exception::PrintMessage | ( |  | ) | const

Definition at line 2774 of file RIFF.cpp.

## Member Data Documentation

## Message

String RIFF::Exception::Message

Definition at line 399 of file RIFF.h.

The documentation for this class was generated from the following files:

- RIFF.h
- RIFF.cpp